

import * as je from "../jaxa.earth.esm.js";
import { coastline } from "./coastline.js";

const map = L.map("map", {
	crs: L.CRS.EPSG4326,
	center: [0, 0],
	zoom: 1,
	minZoom: 1,
	maxZoom: 15,
	// maxBounds: [[-90, -360],[90, 360]], //south west north east

	// zoomControl: false,
	attributionControl: false,
});

L.geoJSON(coastline, {
	style: {
		"color": "#000000",
		"weight": 1,
		"opacity": 0.5
	}
}).addTo(map);

je.leaflet.createLayer({
	//Leafletのオブジェクトを渡す
	L,

	collection: "https://s3.ap-northeast-1.wasabisys.com/je-pds/cog/v1/JAXA.EORC_ALOS.PRISM_AW3D30.v3.2_global/collection.json",
	band: "DSM",

	//省略時はデータの値域内をグレースケールで表示
	colorMap: {
		min: 0,
		max: 6000,
		colors: "jet",
	},


	//バイリニアリサンプリングを使用(未指定時は高速なニアレストネイバーを使用)
	// bilinearResampling: true,

}).addTo(map);



