

import * as je from "../jaxa.earth.esm.js";

const map = L.map("map", {
	center: [0, 0],
	zoom: 2,
	minZoom: 2,
	maxZoom: 15,
	maxBounds: [[-90, -360], [90, 360]], //south west north east

	// zoomControl: false,
	attributionControl: false,
});

L.tileLayer("https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png").addTo(map);


je.leaflet.createLayer({
	L,

	collection: "https://s3.ap-northeast-1.wasabisys.com/je-pds/cog/v1/JAXA.EORC_ALOS.PRISM_AW3D30.v3.2_global/collection.json",
	band: "DSM",

	colorMap: {
		min: 0,
		max: 6000,
		colors: "jet",
	},

	projection: "EPSG:3857",

	// date: new Date(),

	//バイリニアリサンプリングを使用(未指定時は高速なニアレストネイバーを使用)
	// bilinearResampling: true,

	//★現状イベントには未対応
	// onloadstart
	// onloading
	// onloadend

}).addTo(map);



