
import * as je from "../jaxa.earth.esm.js";


const jelayer = await je.ol.createLayer({
	ol,

	collection: "https://s3.ap-northeast-1.wasabisys.com/je-pds/cog/v1/JAXA.G-Portal_GCOM-W.AMSR2_standard.L3-SMC.daytime.v3_global_monthly/collection.json",
	band: "SMC",

	colorMap: {
		min: 0,
		max: 30,
		colors: "smc",
	},

	//現在における最新データを表示
	date: new Date(),


	//イベントの処理
	onloadstart: function () {
		console.log("onloadstart");
	},

	onloading: function (progress) {
		console.log(progress + "%");
	},

	onloadend: function (image) {
		console.log("onloadend");

		//読み込み完了後にje.Imageデータを取得
		console.log(image);
	},
});

//凡例を表示
document.body.appendChild(jelayer.getLegend(300, 20, 10));


//OpenLayersを作成
const projection = "EPSG:4326";
const map = new ol.Map({
	target: "map",
	pixelRatio: 1,

	layers: [
		new ol.layer.Tile({
			// source: new ol.source.OSM(),
			source: new ol.source.XYZ({
				//https://maps.gsi.go.jp/development/ichiran.html
				url: "https://cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png",
			}),
		}),
		jelayer,
	],

	view: new ol.View({
		//全世界を初期位置にする場合
		center: ol.proj.fromLonLat([0, 0], projection),
		zoom: 0,

		//日本周辺を初期位置にする場合
		// center: ol.proj.fromLonLat([138, 36], projection),
		// zoom: 5,
		
		//投影法(必須)
		projection,
	}),
});

//5秒後に2021/1/5時点における最新データに切り替える
setTimeout(function () {
	jelayer.setDate(new Date(Date.UTC(2021, 1 - 1, 5)));
}, 5000);