
import * as je from "../jaxa.earth.esm.js";


const jelayer = await je.ol.createLayer({
	ol,

	collection: "https://s3.ap-northeast-1.wasabisys.com/je-pds/cog/v1/JAXA.JASMES_GCOM-W.AMSR2_ic0.v201_north_daily/collection.json",
	band: "IC0",

	colorMap: {
		min: 0,
		max: 100,
		colors: ["#000066", "#ffffff"],
	},

	//省略時は現在における最新のデータを表示
	date: new Date(Date.UTC(2023, 3 - 1, 20)),
});

//凡例を表示
document.body.appendChild(jelayer.getLegend(300, 20, 10));

//投影法を取得
console.log(jelayer.getImageCollection().getProjection());

//OpenLayersを作成
const map = new ol.Map({
	target: "map",
	pixelRatio: 1,

	layers: [
		jelayer,
	],

	view: new ol.View({
		center: [0, 0],
		zoom: 1,
		maxZoom: 5,
		extent: [-8388608, -8388608, 8388608, 8388608],
		projection: ol.proj.get("EPSG:3995"),
	}),
});