
import * as je from "../jaxa.earth.esm.js";


const projection = "EPSG:3857";

const jelayer = await je.ol.createLayer({
	ol,

	collection: "https://s3.ap-northeast-1.wasabisys.com/je-pds/cog/v1/JAXA.EORC_ALOS.PRISM_AW3D30.v3.2_global/collection.json",
	band: "DSM",

	colorMap: {
		min: 0,
		max: 6000,
		colors: "jet",
	},

	//出力後の投影法を指定（現状EPSG:4326からEPSG:3857への変更のみ可能）
	projection,
});

//凡例を表示
document.body.appendChild(jelayer.getLegend(300, 20, 10));

//COG/STAC上での元の投影法を取得
console.log(jelayer.getImageCollection().getProjection());

//OpenLayersを作成
const map = new ol.Map({
	target: "map",
	pixelRatio: 1,

	layers: [
		new ol.layer.Tile({
			// source: new ol.source.OSM(),
			source: new ol.source.XYZ({
				//https://maps.gsi.go.jp/development/ichiran.html
				url: "https://cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png",
			}),
		}),
		jelayer,
	],

	view: new ol.View({
		//全世界を初期位置にする場合
		// center: ol.proj.fromLonLat([0, 0], projection),
		// zoom: 0,

		//日本周辺を初期位置にする場合
		center: ol.proj.fromLonLat([138, 36], projection),
		zoom: 5,
		
		//投影法(必須)
		projection,
	}),
});